Skip to main content
POST
/
workflows
/
links
/
{linkId}
/
describe
Describe a workflow link (branding + messages, no run start)
curl --request POST \
  --url https://api.artu.ai/workflows/links/{linkId}/describe \
  --header 'Authorization: Bearer <token>' \
  --header 'X-Environment: <api-key>'
{
  "status": "<unknown>",
  "branding": {
    "logo": "<string>",
    "primaryColor": "<string>",
    "backgroundColor": "<string>",
    "fontColor": "<string>"
  },
  "messages": {
    "welcome": {
      "title": "<string>",
      "description": "<string>"
    },
    "success": {
      "title": "<string>",
      "description": "<string>"
    }
  }
}

Authorizations

Authorization
string
header
required

API key authentication. Obtain your API key from the dashboard.

X-Environment
string
header
required

Target environment for the request. Must be "test" or "live".

Path Parameters

Response

200 - application/json

OK

status
any
required
branding
object
required
messages
object
required